EDIT - feature request #3573

Improve EDITOR import Ul configuration panel
07/01/2013 09:58 AM - Cherian Mathew

Status: Closed Start date:

Priority: Priority12 Due date:

Assignee: Patrick Plitzner % Done: 50%
Category: taxeditor Estimated time: 1:00 hour
Target version: Release 4.4

Severity: normal

Description

From P.Kelbert,
Everybody know that the users don't like the configuration interface in
the Editor for importing data, as the option displayed are not clear at
all ("isdoreusetaxa" etc etc).
For the ABCD Import, | made some changes (for the moment locally), by:
1) renaming the configuration options (more explicit)
2) doing a small add in the GenericConfiguratorWizardPage (package
eu.etaxonomy.taxeditor.io.wizard), line 143.
private void createCheckbox (Composite parent, Method method,

final IToConfigurator configurator) {

final String methodName = method.getName () ;

final Button checkBox = new Button(parent, SWT.CHECK) ;

if (configurator.getClass () .equals (Abcd206ImportConfigurator.class)) {
String[[] r =|methodName.split ("set")rl].split (" (?=\\p{Upper})");

checkBox.setText (getLabel (StringUtils.join(x," ")));

else(
checkBox.setText (getLabel (methodName)) ;
}
// retrieve the default values and set the checkbox accordingly
boolean defaultSelection =
executeBooleanGetMethod (configurator, "is"
+ methodName.substring(3));

checkBox.setSelection (defaultSelection);
checkBox.addSelectionListener (new SelectionAdapter ()

/~k

* (non—-Javadoc)

* @see

org.eclipse.swt.events.SelectionAdapter#widgetSelected(org.eclipse

* .swt.events.SelectionEvent)
*/
@Override
public void widgetSelected(SelectionEvent e) {
executeBooleanSetMethod (configurator, methodName,

checkBox.getSelection());

In attachment, you will see the "before" and "after" pictures.

It still not the best solution, but | think it's really better than the

old display. What do you think? Could we include it for the next

release, at least for the ABCD import?

You may notice the "Interact with user" option. When it's set to True,

some pop-up are displayed when the user should take a decision, for
example for selecting an existing NamedArea when several match, entering
his own Reference Name or Classification name etc.

Any objection to add this ABCD Improvement in the next release?

Patricia

see also: #1029

{

Related issues:

Related to EDIT - feature request #6305: [MASTER] Improve EDITOR import/expor...

New

Associated revisions

Revision ¢92df786 - 09/26/2016 08:52 AM - Patrick Plitzner
ref #3573 Add streamlined ABCD import configurator page

Revision 3c066c3d - 10/24/2016 01:47 PM - Patrick Plitzner
fix #3573 Add non-generic configurator page to ABCD import wizard
History

#1 - 07/01/2013 10:01 AM - Cherian Mathew

From A.Mueller,
| definetly agree that the new assistent looks better then the old one. So lets use it.

However we urgently need to completely refactor the whole part. | don't think that creating the assistent via method names of the configurator is the
right approach.

Can't we easily create a fully manually created assitent, which then also allows tooltips etc. And also it allows more then only checkboxes.
Also i18n is much easier to implement then.

| suggest to have a little meeting about this. Who is interested to take part?

Some minor notes:

1) renaming the configuration options (more explicit)

This broke some code in app-import so we should be careful with doing so (a further reason for decoupling method names from Ul creation.
The new name is "reuseExistingTaxaWhenPossible"? We should discuss if this has the same semantics.

Ignore Null

doesn't make sense in the ABCD context | think. Should be removed (but is in base class !!)

#2 - 01/14/2014 11:51 AM - Cherian Mathew
- Target version deleted (TaxEditor RELEASE 3.3.0)

#3 - 03/28/2014 11:11 AM - Andreas Kohlbecker

- Target version deleted ()

no release 3.3.1 of the taxeditor so | am moving all tickets to the next milestone 3.3.2

#4 - 08/12/2014 11:55 AM - Andreas Miiller

- Assignee changed from Patricia Kelbert to a.oppermann -
- Target version deleted (TaxEditor RELEASE 3.3.7)

- Priority changed from Priority08 to Priority12

#5 - 04/21/2015 03:17 PM - Andreas Miiller

- Assignee changed from a.oppermann - to p.plitzner -

Hi Patrick, | think you already have worked on this a bit, therefore | change owner to you as AO won't have time to do it anymore. Can be discussed.

#6 - 09/13/2016 11:37 AM - Patrick Plitzner
- Description updated
- Status changed from New to In Progress

- Target version changed from Reviewed Next Major Release to Release 4.4

#7 - 09/26/2016 10:42 AM - Andreas Miiller
- Estimated time set to 1:00 h

#8 - 09/26/2016 10:43 AM - Andreas Miiller

- Description updated

#9 - 10/24/2016 01:47 PM - Patrick Plitzner

- Status changed from In Progress to Resolved
- % Done changed from 0 to 50

Applied in changeset taxeditor|3c066c3d21e5c32b5afd0dc5{673ea91fa07c3b4.

#10 - 10/24/2016 01:48 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Katja Luther

#11 - 01/03/2017 10:39 AM - Katja Luther

We should do this for all types of imports. Close this ticket and create a new one for the other imports, see #6305

#12 - 01/03/2017 10:39 AM - Katja Luther
- Related to feature request #6305: [MASTER] Improve EDITOR import/export Ul configuration panel for all imports/exports added

#13 - 01/03/2017 11:06 AM - Katja Luther
- Status changed from Resolved to Closed

- Assignee changed from Katja Luther to Patrick Plitzner

#14 - 01/03/2017 03:10 PM - Andreas Miiller

- Private changed from Yes to No

Files
before.png 160 KB 07/01/2013 Cherian Mathew
after.png 214 KB 07/01/2013 Cherian Mathew
